package gs.test.v0.definition

import cats.data.Kleisli
import natchez.Span
import natchez.Trace

trait UnitOfWork[F[_]]:

  def work(
    using
    Trace[F]
  ): F[Either[TestFailure, Unit]]

object UnitOfWork:

  def apply[F[_]](uow: Kleisli[F, Span[F], Either[TestFailure, Unit]]) = uow

end UnitOfWork
